#ifndef XSOUNDALIASLIST_H
#define XSOUNDALIASLIST_H

#include "xasset.h"
#include "xsoundalias.h"

class XSoundAliasList : public XAsset
{
public:
    explicit XSoundAliasList();
    ~XSoundAliasList();

    virtual void Clear() override;
    virtual void ParseData(QDataStream* aStream) override;

private:
    XString mAliasName;
    QVector<XSoundAlias> mAliases;
    int mCount;
};

#endif // XSOUNDALIASLIST_H
